using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace RadDockButtons
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.documentWindow1.TabStripItem.Children.Add(newDocButton());

            this.toolWindow1.TabStripItem.Children.Add(newToolButton());
            // Set enough room for the button
            this.toolWindow1.TabStripItem.Children[2].Children[0].Margin = new Padding(10, 0, 0, 0);
        }

        private RadButtonElement newDocButton()
        {
            RadButtonElement radB = new RadButtonElement();
            radB.MaxSize = new Size(12, 12);
            //radB.Click += new EventHandler(HideTab);
            radB.Font =
              new System.Drawing.Font("Verdana", 6, FontStyle.Regular, GraphicsUnit.Point, ((Byte)0));
            radB.Text = "x";
            //radB.TextAlignment = ContentAlignment.MiddleRight;
            //Alignment defines where the button will be placed on the tab
            radB.Alignment = ContentAlignment.TopRight;
            return radB;
        }

        private RadButtonElement newToolButton()
        {
            RadButtonElement radB = new RadButtonElement();
            radB.MaxSize = new Size(12, 12);
            //radB.Click += new EventHandler(HideTab);
            radB.Font =
              new System.Drawing.Font("Verdana", 6, FontStyle.Regular, GraphicsUnit.Point, ((Byte)0));
            radB.Text = "x";
            //radB.TextAlignment = ContentAlignment.MiddleRight;
            //Alignment defines where the button will be placed on the tab
            radB.Alignment = ContentAlignment.BottomLeft;
            return radB;
        }
    }
}